/*******************************************************************************
*
* File Name : atp_gsm_bt_api_misc.c
*
* This file defines all the dummy functions that may be called by CONDAT 
*
*
* Version number	: 0.1      Date : 10-Jully-2000
*
* History			: 0.1  - Created by E. Baissus
*
* Author			: Eric Baissus : e-baissus@ti.com
*
*   (C) Copyright 2000 by Texas Instruments Incorporated 
*****************************************************************************/

#include "rv/rv_general.h"
#include "rvf/rvf_api.h"
#include "atp/atp_api.h"
#include "atp/atp_config.h"
#include "atp/atp_messages.h"
#include "atp/atp_gsm_bt_api.h"
#include "atp/atp_gsm_gsm_api.h"
#include "atp/atp_config.h"
#include "atp/bti.h"

#ifndef _WINDOWS
	#include "config/rv.cfg"
#endif

#if (_GSM==1)
 
void bti_init_profile_req ( T_BTI_DEVICE_TYPE device,T_BTI_CONFIG config)
{
}

void bti_deinit_profile_req(T_BTI_DEVICE_TYPE device )
{
}

void bti_device_search_req(T_BTI_DEVICE_TYPE device )
{
}

void bti_connect_device_req(T_BTI_DEVICE_TYPE device,T_BTI_BD_ADDR bd_addr[])
{
}

void bti_connect_device_res(T_BTI_DEVICE_TYPE device, T_BTI_BD_ADDR bd_addr[],
						T_BTI_RESULT connect_accepted)
{
}
	
void bti_disconnect_device_req( T_BTI_DEVICE_TYPE device, T_BTI_BD_ADDR bd_addr[])
{
}

void bti_transfer_audio_in_req(T_BTI_DEVICE_TYPE device)
{
}

void bti_transfer_audio_out_req(T_BTI_DEVICE_TYPE device, T_BTI_BD_ADDR bd_addr[])
{
}

void bti_pin_res(T_BTI_DEVICE_TYPE device, T_BTI_BD_ADDR bd_addr[],
		T_BTI_PIN pin_code[])
{
}

void bti_reconfig_profile_req( T_BTI_DEVICE_TYPE device, T_BTI_CONFIG config)
{
}

void bti_device_control_req(T_BTI_DEVICE_TYPE device, T_BTI_REQ_ID req_id,
		unsigned char *control_data,unsigned short data_length)
{
}

void bti_device_control_res(T_BTI_DEVICE_TYPE device, T_BTI_RES_ID res_id,
		unsigned char *control_data,unsigned short data_length)
{
}

#endif
